﻿// ----------------------------------------------------------------------------------
//
// Copyright Microsoft Corporation
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// http://www.apache.org/licenses/LICENSE-2.0
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// ----------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;


namespace StaticAnalysis.HelpAnalyzer
{
    public class HelpIssue : IReportRecord
    {
        /// <summary>
        /// The assembly containing the help issue
        /// </summary>
        public string Assembly { get; set; }
        /// <summary>
        /// The associated help file.
        /// </summary>
        public string HelpFile { get; set; }
        /// <summary>
        /// The target of the report (cmdlet name, etc..)
        /// </summary>
        public string Target { get; set; }
        public string Description { get; set; }
        public string Remediation { get; set; }
        public int Severity { get; set; }
        public string PrintHeaders()
        {
            return "\"Assembly\",\"HelpFile\",\"Target\",\"Severity\",\"Description\",\"Remediation\"";
        }

        public string FormatRecord()
        {
            return string.Format("\"{0}\",\"{1}\",\"{2}\",\"{3}\",\"{4}\",\"{5}\"", 
                Assembly, HelpFile, Target, Severity, Description, Remediation);
        }
    }
}
